> ## Documentation Index
> Fetch the complete documentation index at: https://studio-docs.prem.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Start Data Augmentation

> Start data augmentation process to generate additional training examples from existing datapoints.



## OpenAPI

````yaml POST /api/v1/public/datasets/{datasetId}/start-augmentation
openapi: 3.1.0
info:
  version: 0.0.1
  title: Prem Studio API
  description: Studio autofinetuning agent API
servers:
  - url: http://studio.premai.io
    description: Current environment
  - url: https://studio.premai.io
    description: Production server
security:
  - bearerAuth: []
paths:
  /api/v1/public/datasets/{datasetId}/start-augmentation:
    post:
      tags:
        - Public Datasets
      description: >-
        Start data augmentation process to generate additional training examples
        from existing datapoints
      operationId: datasets.startAugmentation
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: datasetId
          in: path
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StartDataAugmentationRequest'
      responses:
        '200':
          description: Data augmentation started successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StartDataAugmentationResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '402':
          description: Insufficient credits
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Dataset not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    StartDataAugmentationRequest:
      type: object
      properties:
        temperature:
          type: number
          minimum: 0
          maximum: 1
          default: 0.1
          description: >-
            Controls randomness in augmentation generation (0.0-1.0). Default:
            0.1
        datapoints_to_generate:
          type: integer
          minimum: 10
          maximum: 10000
          description: Number of new datapoints to generate
        user_instructions:
          type: string
          description: Optional instructions to guide the augmentation process
      required:
        - datapoints_to_generate
    StartDataAugmentationResponse:
      type: object
      properties:
        message:
          type: string
      required:
        - message
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````